import type { HLJSApi } from 'highlight.js';
import * as i0 from "@angular/core";
export declare class HighlightLoader {
    private document;
    private isPlatformBrowser;
    private options;
    private readonly _ready;
    readonly ready: Promise<HLJSApi>;
    private _themeLinkElement;
    constructor();
    /**
     * Lazy-Load highlight.js library
     */
    private _loadLibrary;
    /**
     * Lazy-load highlight.js languages
     */
    private _loadLanguages;
    /**
     * Import highlight.js core library
     */
    private loadCoreLibrary;
    /**
     * Import highlight.js library with all languages
     */
    private loadFullLibrary;
    /**
     * Import line numbers library
     */
    private loadLineNumbers;
    /**
     * Reload theme styles
     */
    setTheme(path: string): void;
    /**
     * Load theme
     */
    private loadTheme;
    static ɵfac: i0.ɵɵFactoryDeclaration<HighlightLoader, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<HighlightLoader>;
}
